<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."firma_rehberi/infusion_db.php";
if (!checkrights("FLP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (file_exists(INFUSIONS."firma_rehberi/locale/".$settings['locale'].".php")) {
	include INFUSIONS."firma_rehberi/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."firma_rehberi/locale/English.php";
}
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['frm_410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['frm_411'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['frm_412']."<br />\n<span class='small'>".$locale['frm_413']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['frm_414'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}
opentable ($locale['frm_101']);
require_once INFUSIONS."firma_rehberi/inc/panel_tab.php";
closetable();
if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['kat_id']) && isnum($_GET['kat_id']))) {
	$result = dbquery("SELECT * FROM ".DB_FIRMALAR." WHERE firma_kat='".$_GET['kat_id']."'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_FIRMA_KAT." WHERE firma_kat_id='".$_GET['kat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_kat'])) {
		$kat_name = stripinput($_POST['kat_name']);
		$kat_description = stripinput($_POST['kat_description']);
		if ($kat_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['kat_id']) && isnum($_GET['kat_id']))) {
				$result = dbquery("UPDATE ".DB_FIRMA_KAT." SET firma_kat_name='$kat_name', firma_kat_description='$kat_description' WHERE firma_kat_id='".$_GET['kat_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_FIRMA_KAT." (firma_kat_name, firma_kat_description) VALUES('$kat_name', '$kat_description')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['kat_id']) && isnum($_GET['kat_id']))) {
		$result = dbquery("SELECT * FROM ".DB_FIRMA_KAT." WHERE firma_kat_id='".$_GET['kat_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$kat_name = $data['firma_kat_name'];
			$kat_description = $data['firma_kat_description'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;kat_id=".$data['firma_kat_id'];
			opentable($locale['frm_400']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$kat_name = "";
		$kat_description = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['frm_401']);
	}
	echo "<form name='addcat' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='520' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['frm_420']."</td>\n";
	echo "<td class='tbl'><input type='text' name='kat_name' value='".$kat_name."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['frm_421']."</td>\n";
	echo "<td class='tbl'><input type='text' name='kat_description' value='".$kat_description."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_kat' value='".$locale['frm_422']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['frm_402']);
	echo "<table width='520' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_FIRMA_KAT." ORDER BY firma_kat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'><b>".$locale['frm_440']."</b></td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['frm_442']."</b></td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='".$cell_color."'>".$data['firma_kat_name']."<br />\n";
			echo "<span class='small'>".trimlink($data['firma_kat_description'], 45)."</span></td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;kat_id=".$data['firma_kat_id']."'>".$locale['frm_443']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;kat_id=".$data['firma_kat_id']."' onclick=\"return confirm('".$locale['frm_450']."');\">".$locale['frm_444']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['frm_445']."</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>